Subject: Re: bug#71712: 29.3; Crash on OpenBSD

From: Kirill A. Korinsky <[email-masked]>
Date: Thu, 27 Jun 2024 15:43:20 +0100

On Thu, 27 Jun 2024 15:19:43 +0100,
Gerd Möllmann <[email-masked]> wrote:
> 
> Not sure about OpenBSD, but FreeBSD switched to LLVM, i.e. clang and
> lldb, a while ago. Do you have these? 

I do, and attemt to use it looks like:

    ~ $ lldb /usr/local/bin/emacs 
    (lldb) target create "/usr/local/bin/emacs"
    Current executable set to '/usr/local/bin/emacs' (x86_64).
    (lldb) r
    Process 21865 launched: '/usr/local/bin/emacs' (x86_64)

and nothing had happened. I wait couple of minutes, but after I pres C-c it,
at least exits as:

    Process 21865 exited with status = -1 (0xffffffff) lost connection

anyway, it left the process:

    ~ $ ps aux | grep 21865 
    catap    21865  0.0  0.3 21200 42672 p2  TX      3:35PM    0:00.29 /usr/local/bin/emacs (emacs-29.4)
    catap    71388  0.0  0.0   792  1448 p2  S+p     3:41PM    0:00.00 grep 21865
    ~ $ 

what means that debuging emacs doesn't work.

I've tried to debug xterm and it works like a charm via bot lldb and gdb.

-- 
wbr, Kirill